﻿--
-- Script was generated by Devart dbForge Studio 2019 for MySQL, Version 8.2.23.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 19/09/2022 9:47:28
-- Server version: 5.7.33
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS alumno;

CREATE DATABASE IF NOT EXISTS alumno
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE alumno;

--
-- Create table `modulo`
--
CREATE TABLE IF NOT EXISTS modulo (
  codigo int(11) NOT NULL,
  nombre varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `alumno`
--
CREATE TABLE IF NOT EXISTS alumno (
  expediente int(11) NOT NULL,
  nombre varchar(100) DEFAULT NULL,
  apellidos varchar(100) DEFAULT NULL,
  fechaNac date DEFAULT NULL,
  PRIMARY KEY (expediente)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `esdelegado`
--
CREATE TABLE IF NOT EXISTS esdelegado (
  expedienteDelegado int(11) NOT NULL,
  expedienteAlumno int(11) NOT NULL,
  PRIMARY KEY (expedienteDelegado, expedienteAlumno)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `expedienteAlumno` on table `esdelegado`
--
ALTER TABLE esdelegado
ADD UNIQUE INDEX expedienteAlumno (expedienteAlumno);

--
-- Create foreign key
--
ALTER TABLE esdelegado
ADD CONSTRAINT fkesDelegadoAlumno FOREIGN KEY (expedienteDelegado)
REFERENCES alumno (expediente);

--
-- Create foreign key
--
ALTER TABLE esdelegado
ADD CONSTRAINT fkesDelegadoAlumno1 FOREIGN KEY (expedienteAlumno)
REFERENCES alumno (expediente);

--
-- Create table `cursa`
--
CREATE TABLE IF NOT EXISTS cursa (
  expedienteAlumno int(11) NOT NULL,
  codigoModulo int(11) NOT NULL,
  PRIMARY KEY (expedienteAlumno, codigoModulo)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE cursa
ADD CONSTRAINT fkcursaAlumno FOREIGN KEY (expedienteAlumno)
REFERENCES alumno (expediente);

--
-- Create foreign key
--
ALTER TABLE cursa
ADD CONSTRAINT fkcursaModulo FOREIGN KEY (codigoModulo)
REFERENCES modulo (codigo);

--
-- Create table `profesor`
--
CREATE TABLE IF NOT EXISTS profesor (
  dni int(11) DEFAULT NULL,
  nombre varchar(100) DEFAULT NULL,
  direccion varchar(100) DEFAULT NULL,
  tfno int(11) DEFAULT NULL
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `imparte`
--
CREATE TABLE IF NOT EXISTS imparte (
  dniProfesor int(11) NOT NULL,
  codigoModulo int(11) NOT NULL,
  PRIMARY KEY (dniProfesor, codigoModulo)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigoModulo` on table `imparte`
--
ALTER TABLE imparte
ADD UNIQUE INDEX codigoModulo (codigoModulo);

-- 
-- Dumping data for table modulo
--
-- Table alumno.modulo does not contain any data (it is empty)

-- 
-- Dumping data for table alumno
--
-- Table alumno.alumno does not contain any data (it is empty)

-- 
-- Dumping data for table profesor
--
-- Table alumno.profesor does not contain any data (it is empty)

-- 
-- Dumping data for table imparte
--
-- Table alumno.imparte does not contain any data (it is empty)

-- 
-- Dumping data for table esdelegado
--
-- Table alumno.esdelegado does not contain any data (it is empty)

-- 
-- Dumping data for table cursa
--
-- Table alumno.cursa does not contain any data (it is empty)

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;